read.spot {sma} | R Documentation

## Reading in Data Generated by the Image Analysis Package Spot

### Description

Reads in a data file in table format and creates a data frame with the same number of rows as there are lines in the file, and the same number of columns as there are fields in the file.
`read.spot': reads in the data file generated by the microarray image extraction library Spot.

### Usage

    read.spot(name, dir=".", sep="\t", header=TRUE, ...)

### Arguments

`name` | character string naming the data file from which to read the data.
`dir` | character string naming the directory that contains the data file. The default setting is the current directory.
`sep` | the field separator (single character), often "t" for tab delimited fields. If omitted, any amount of white space (blanks or tabs) can separate the fields. To read fixed format files, make sep a numeric vector giving the initial columns of the fields.
`header` | logical flag: if TRUE, then the first line of the file is used as the variable names of the resulting data frame.
`...` | parameters for read.table may also be supplied as arguments to the function (see `read.table`).

### Value

as in `read.table`, a data frame (`data.frame`) containing a representation of the data in the file.

### See Also

`read.table`, `data.frame`, `write.spot`, `read.genepix`.

### Examples

    ## write.spot(mouse.array, 1, "mouse")
    ## mouse1 <- read.spot("mouse.1.spot")

[Package sma version 0.5.14 Index]